<?php

namespace App\Classes\Modules\Orders\Services;

use App\Classes\General\Eloquent\AbstractUpdateRecord;
use App\Classes\Modules\Orders\DataTransferObjects\OrderObject;
use App\Models\Order;

class UpdatesCurrentStep extends AbstractUpdateRecord
{

    public function execute(Order $model, OrderObject $object) {

        $model->status = $object->getStatus();
        $model->current_step = $object->getCurrentStep();

        return $this->handler($model);

    }
}
